Package ru.bitel.bgbilling.modules.bvcom.server.bean

# Class BVParams

java.lang.Object
ru.bitel.bgbilling.modules.bvcom.server.bean.BVParams

    public class BVParams
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BVParams​(ModuleSetup moduleSetup)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getCallbackUrl()` |
  `int` | `getChargeTypeId()` |
  `java.lang.String` | `getClient()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getCurrency()` |
  `int` | `getEndPointId()` |
  `java.lang.String` | `getKey()` |
  `java.lang.String` | `getMerchantControl()` |
  `static int` | `getOldProtocolCurrency()` |
  `int` | `getPaymentTypeId()` |
  `int` | `getProtocolVersion()` |
  `java.lang.String` | `getResultUrl()` |
  `java.lang.String` | `getServerUrl()` |
  `java.text.DecimalFormat` | `getTransactionFormat()` |
  `void` | `setCallbackUrl​(java.lang.String callbackUrl)` |
  `void` | `setChargeTypeId​(int chargeTypeId)` |
  `void` | `setClient​(java.lang.String client)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setCurrency​(java.lang.String currency)` |
  `void` | `setEndPointId​(int endPointId)` |
  `void` | `setKey​(java.lang.String key)` |
  `void` | `setMerchantControl​(java.lang.String merchantControl)` |
  `void` | `setPaymentTypeId​(int paymentTypeId)` |
  `void` | `setProtocolVersion​(int version)` |
  `void` | `setResultUrl​(java.lang.String urlResult)` |
  `void` | `setServerUrl​(java.lang.String serverUrl)` |
  `void` | `setTransactionFormat​(java.text.DecimalFormat format)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BVParams

    public BVParams​(ModuleSetup moduleSetup)

- ## Method Details

  - ### getClient

    public java.lang.String getClient()

  - ### setClient

    public void setClient​(java.lang.String client)

  - ### getTransactionFormat

    public java.text.DecimalFormat getTransactionFormat()

  - ### setTransactionFormat

    public void setTransactionFormat​(java.text.DecimalFormat format)

  - ### setKey

    public void setKey​(java.lang.String key)

  - ### setPaymentTypeId

    public void setPaymentTypeId​(int paymentTypeId)

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getKey

    public java.lang.String getKey()

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### getComment

    public java.lang.String getComment()

  - ### getOldProtocolCurrency

    public static int getOldProtocolCurrency()

  - ### getResultUrl

    public java.lang.String getResultUrl()

  - ### setResultUrl

    public void setResultUrl​(java.lang.String urlResult)

  - ### getProtocolVersion

    public int getProtocolVersion()

  - ### setProtocolVersion

    public void setProtocolVersion​(int version)

  - ### getEndPointId

    public int getEndPointId()

  - ### setEndPointId

    public void setEndPointId​(int endPointId)

  - ### getMerchantControl

    public java.lang.String getMerchantControl()

  - ### setMerchantControl

    public void setMerchantControl​(java.lang.String merchantControl)

  - ### getCallbackUrl

    public java.lang.String getCallbackUrl()

  - ### setCallbackUrl

    public void setCallbackUrl​(java.lang.String callbackUrl)

  - ### getCurrency

    public java.lang.String getCurrency()

  - ### setCurrency

    public void setCurrency​(java.lang.String currency)

  - ### getChargeTypeId

    public int getChargeTypeId()

  - ### setChargeTypeId

    public void setChargeTypeId​(int chargeTypeId)

  - ### getServerUrl

    public java.lang.String getServerUrl()

  - ### setServerUrl

    public void setServerUrl​(java.lang.String serverUrl)